Re: [app-dev] Netvirt CSIT job failures.


Srinivas <srinivas.rachakonda@...>
 

Hi Venkat,

 

Thanks for the update.

I will check and get back to you.

 

Thanks,

Srinivas

+91-9243478719

 

From: Venkatrangan Govindarajan <gvrangan@...>
Sent: 08 September 2020 12:24
To: srinivas.rachakonda@...
Cc: Daniel de la Rosa <ddelarosa0707@...>; P S Ravikanth <ravikanth.ps@...>; app-dev@...; integration-dev@...; karthikeyan.k@...; netvirt-dev <netvirt-dev@...>
Subject: Re: [integration-dev] [app-dev] Netvirt CSIT job failures.

 

Hi Srinivas,

 

 This is the patch that fixes stacking issue for both rocky and stein - [0].  Sandbox job can be seen here -[1]

 But, Stein seems to have other issues. So I would recommend to disable stein jobs for Al, We can debug later.

 We can use Rocky for Al verification. Debugging the stein installation may need some more time.

 

 

 

 

Kindly let me know if you have any questions.

 

Regards,

Venkatrangan G

 

 

 

On Tue, Sep 8, 2020 at 10:17 AM <srinivas.rachakonda@...> wrote:

Hi Daniel,

 

The issue is seen in all releases and specific to Devstack installation.

 

Hi Venkat,

 

Can you please send the Gerrit link.

 

Thanks,

Srinivas

+91-9243478719

 

From: Daniel de la Rosa <ddelarosa0707@...>
Sent: 08 September 2020 08:56
To: Venkatrangan Govindarajan <gvrangan@...>
Cc: P S Ravikanth <ravikanth.ps@...>; app-dev@...; integration-dev@...; karthikeyan.k@...; netvirt-dev <netvirt-dev@...>; srinivas.rachakonda@...
Subject: Re: [integration-dev] [app-dev] Netvirt CSIT job failures.

 

Hello. 

 

Is this issue specific to silicon ? I’m about to pick an Aluminium RC thus the question 

 

Thanks 

 

On Mon, Sep 7, 2020 at 8:22 PM Venkatrangan Govindarajan <gvrangan@...> wrote:

Hi 

 

I am able to fix the stacking issue. I will push a patchnow. 

 

Regards, 

Venkatrangan

 

On Tue, 8 Sep, 2020, 4:20 AM JamO Luhrsen, <jluhrsen@...> wrote:







 

 

 

On 9/7/20 10:45 AM,

srinivas.rachakonda@... wrote:









 

Hi Jamo,

 

 

 

Logs:

 

 

 

https://logs.opendaylight.org/sandbox/vex-yul-odl-jenkins-2/srini-netvirt-csit-1node-0cmb-1ctl-2cmp-openstack-rocky-dcgw-silicon/3/control_1/stack.log.gz

 

 

 

 

 

Job:

 

https://jenkins.opendaylight.org/sandbox/job/srini-netvirt-csit-1node-0cmb-1ctl-2cmp-openstack-rocky-dcgw-silicon/

 

 

 

 

 

After trying multiple fixes for Devstack

installation as part for Netvirt CSIT jobs, I am stuck in the

below error:

 

 

 

+

inc/python:_setup_package_with_constraints_edit:540 :  

/opt/stack/requirements/.venv/bin/edit-constraints

/opt/stack/requirements/upper-constraints.txt -- keystone

'-e file:///opt/stack/keystone#egg=keystone'

 

Traceback

(most recent call last):

 

  File

"/opt/stack/requirements/.venv/bin/edit-constraints", line

8, in <module>

 

   

sys.exit(main())

 

  File

"/opt/stack/requirements/.venv/lib/python2.7/site-packages/openstack_requirements/cmds/edit_constraint.py",

line 69, in main

 

    reqs =

requirement.parse(content, permit_urls=True)

 

  File

"/opt/stack/requirements/.venv/lib/python2.7/site-packages/openstack_requirements/requirement.py",

line 88, in parse

 

    return

to_dict(to_reqs(content, permit_urls=permit_urls))

 

  File

"/opt/stack/requirements/.venv/lib/python2.7/site-packages/openstack_requirements/requirement.py",

line 174, in to_dict

 

    for

req, req_line in req_sequence:

 

  File

"/opt/stack/requirements/.venv/lib/python2.7/site-packages/openstack_requirements/requirement.py",

line 198, in to_reqs

 

    yield

parse_line(req_line, permit_urls=permit_urls), content_line

 

  File

"/opt/stack/requirements/.venv/lib/python2.7/site-packages/openstack_requirements/requirement.py",

line 152, in parse_line

 

    parsed

= pkg_resources.Requirement.parse(req_line)

 

  File

"/opt/stack/requirements/.venv/lib/python2.7/site-packages/pkg_resources.py",

line 2700, in parse

 

    reqs =

list(parse_requirements(s))

 

  File

"/opt/stack/requirements/.venv/lib/python2.7/site-packages/pkg_resources.py",

line 2638, in parse_requirements

 

    line,

p, specs = scan_list(VERSION,LINE_END,line,p,(1,2),"version

spec")

 

  File

"/opt/stack/requirements/.venv/lib/python2.7/site-packages/pkg_resources.py",

line 2606, in scan_list

 

    raise

ValueError("Expected "+item_name+" in",line,"at",line[p:])

 

ValueError:

('Expected version spec in', 'ceilometer===11.1.0', 'at',

'===11.1.0')

 

 

 

 

 

 

 

this final line looks weird to me. Maybe there is a bug in the

installer


scripts?





Can you try a different version of ceilometer just to see if we

get


this this error or not?

 

 



 

 

 

 

 

 

I tried correcting it, but it still failed

with the above error:

 

 

 

function fix_broken_requirements_versions()

{

 

    local ip=$1

 

    ${SSH} "${ip}" "

 

        cd /opt/stack;

 

        git clone https://git.openstack.org/openstack/requirements;

 

        cd requirements;

 

        git checkout ${ODL_ML2_BRANCH};

 

        sed -i

s/libvirt-python===3.10.0/libvirt-python===4.10.0/

upper-constraints.txt

 

        sed -i '1 auwsgi===2.0.18'

upper-constraints.txt

 

        sed -i '1 asetuptools===1.4'

upper-constraints.txt

 

        sed -i '1

aceilometer===11.1.0' upper-constraints.txt

 

        "

 

}

 

 



can you cat the upper-constraints.txt file after this function runs

so we


can see that it looks proper?

 

 

 



 

 

 

 

 

Can you please suggest what am I missing.

 

 

 

 

 

Any way you can try to run these commands locally and see if you


get the same trouble. That might make debugging faster.

 

 

 

JamO

 

 



 

 

 

 

 

 

 

 

 

Thanks,

 

Srinivas

 

+91-9243478719

 

 

 

 

 












 

--

Venkatrangan Govindarajan
( When there is no wind...Row )

Join integration-dev@lists.opendaylight.org to automatically receive all group messages.